Download it now!
Bug 126492 - Crash report service is not documented
Summary: Crash report service is not documented
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Crash-Report
  Show dependency treegraph
 
Reported: 2019-07-21 06:11 UTC by raal
Modified: 2021-01-15 13:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
an updated help page (88.52 KB, image/png)
2020-11-17 11:41 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-07-21 06:11:14 UTC
Description:
I didn't found anything about crash reporting. Please add info for users.

Actual Results:
.

Expected Results:
.


Reproducible: Always


User Profile Reset: No



Additional Info:
https://mmohrhard.wordpress.com/2016/06/19/crash-reporting-for-libreoffice/
Comment 3 sdc.blanco 2020-11-17 10:46:11 UTC
(In reply to raal from comment #0)
> I didn't found anything about crash reporting. Please add info for users.
How did you search?

(maybe the indexing or labeling can be improved -- but, e.g., when I search on "crash" alone in the online help, Error Report Tool is the first item that appears; when I enter "crash" into the index search, it is the only item that is returned).

and as asked in comment 2

> Isn't this enough?
> https://help.libreoffice.org/latest/en-US/text/shared/guide/error_report.
> html?DbPAR=SHARED#bm_id3150616
Setting to NEEDINFO
Comment 4 sdc.blanco 2020-11-17 11:41:08 UTC
Created attachment 167360 [details]
an updated help page

Attached is a first draft to modify the existing page on Crash Reporter.
I think the lines marked in "green highlighting" also need to be deleted.
Are there other changes needed?
Comment 5 Commit Notification 2020-12-07 07:37:37 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c878f6d6a31245cf2dcebbbf27a17defc3d96660

tdf#126492  update help information about Crash Report Tool
Comment 6 Commit Notification 2020-12-08 11:53:47 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/help/commit/5eb5d19468c2b84d1adfef20d1723c8c7d6289f3

tdf#126492  update help information about Crash Report Tool
Comment 7 Commit Notification 2021-01-15 13:55:17 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/655482c647bd7a8a4c517d6ef3bd71c7d6f9db68

tdf#126492 add mention of new information sent in Crash Report